> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Hide Replies

> X API v2 Hide Replies 엔드포인트를 사용하여 인증된 사용자가 작성한 게시물의 답글을 숨기거나 표시하고 X에서 대화를 모더레이션하세요.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Hide Replies 엔드포인트를 사용하면 인증된 사용자가 작성한 게시물의 답글을 숨기거나 표시할 수 있습니다. 숨겨진 답글은 여전히 접근할 수 있지만, 보려면 추가 클릭이 필요합니다.

## 개요

<CardGroup cols={2}>
  <Card title="답글 숨기기" icon="eye-slash">
    게시물에 대한 답글 숨기기
  </Card>

  <Card title="답글 표시" icon="eye">
    이전에 숨긴 답글 표시
  </Card>

  <Card title="대화 제어" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-chat-unread.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=ce6313d8c0b7b4e5363f2ce80b89f7e4" width="24" height="24" data-path="icons/xds/icon-chat-unread.svg">
    게시물의 토론 모더레이션
  </Card>
</CardGroup>

***

## 엔드포인트

| Method | Endpoint                                                | Description  |
| :----- | :------------------------------------------------------ | :----------- |
| PUT    | [`/2/tweets/:tweet_id/hidden`](/x-api/posts/hide-reply) | 답글 숨기기 또는 표시 |

***

## 동작 방식

답글을 숨기려면 `hidden: true`, 표시하려면 `hidden: false`를 포함한 PUT 요청을 보냅니다:

```json theme={null}
{
  "hidden": true
}
```

***

## 예시: 답글 숨기기

```bash theme={null}
curl -X PUT "https://api.x.com/2/tweets/1234567890/hidden" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"hidden": true}'
```

## 예시 응답

```json theme={null}
{
  "data": {
    "hidden": true
  }
}
```

***

## 시작하기

<Note>
  **사전 요구사항**

  * 승인된 [developer account](https://developer.x.com/en/portal/petition/essential/basic-info)
  * Developer Console 내의 [Project와 App](/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2)를 통한 User Access Token
</Note>

<CardGroup cols={2}>
  <Card title="퀵스타트" icon="https://mintcdn.com/x-preview/oR-aRNyj1BKPJtxM/icons/xds/icon-rocket.svg?fit=max&auto=format&n=oR-aRNyj1BKPJtxM&q=85&s=b978d7a9225de31709efbbed5b84e92d" href="/x-api/posts/hide-replies/quickstart" width="24" height="24" data-path="icons/xds/icon-rocket.svg">
    첫 답글 숨기기
  </Card>

  <Card title="API 레퍼런스" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/posts/hide-replies" width="24" height="24" data-path="icons/xds/icon-code.svg">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
